Lavalite package that provides realestate management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `b/realestate`.

    "b/realestate": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    B\Realestate\Providers\RealestateServiceProvider::class,

And also add it to alias

    'Realestate'  => B\Realestate\Facades\Realestate::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=B\\RealestateTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="B\Realestate\Providers\RealestateServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="B\Realestate\Providers\RealestateServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="B\Realestate\Providers\RealestateServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/realestate/{modulename}

**User**

    http://path-to-route-folder/user/realestate/{modulename}

**Public**

    http://path-to-route-folder/realestates


### API endpoints

**List**

    http://path-to-route-folder/api/user/realestate/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/realestate/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/realestate/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/realestate/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/realestate/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/realestate/{modulename}/{slug}
    METHOD: GET